#define XERR "sshcron"
#include "sshcron.ih"

    // by tocron.cc

void SSHCron::list()
{
    askPassphrase();                    // in d_passphrase

    *d_out << name(LIST) << '\n' <<     // send the command
              d_passphrase << endl;

    string line;

    getline(*d_in, line);               // get the (N)OK reply
    if (line == "NOK")
    {
        emsg << "invalid passphrase" << endl;
        return;
    }

    idmsg() << "--list requested" << endl;

    cout << '\n';
    while (true)
    {
        getline(*d_in, line);
        if (line == "LIST")
            break;
        cout << line << '\n';
    }

    cout << endl;
}





